### Function

# Fwupd SecurityAttr flag_from_string

#### Declaration [src]

    FwupdSecurityAttrFlags
    fwupd_security_attr_flag_from_string (
      const gchar* flag
    )

#### Description [src]

Converts a string to an enumerated flag.

Available since: | 1.7.1

#### Parameters

`flag` | `const gchar*`
| A string, e.g. `success`
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `FwupdSecurityAttrFlags`
| Enumerated value.